#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>

#include "FreeRTOS.h"
#include "boot/recovery/boot.h"
#include "boot/boot.h"
#include "boot/entry.h"

bool load_log = true;

int main_entry()
{
    printf("\033[2J\033[H");
    printf("OS started\n");

    load_log = false;

    xTaskCreatePinnedToCore(
        OS_entry,
        "Os main task",
        4096,
        NULL,
        10,
        NULL,
        0
    );

    return 0;
}

int recovery_entry()
{
    printf("\033[2J\033[H");
    printf("Recovery started\n");

    load_log = true;

    xTaskCreatePinnedToCore(
        recovery_shell,
        "Recovery Shell",
        4096,
        NULL,
        10,
        NULL,
        0
    );

    return 0;
}